Package weka.core.converters

# Interface URLSourcedLoader

All Known Implementing Classes:
  `ArffLoader`, `LibSVMLoader`, `SVMLightLoader`, `XRFFLoader`

public interface URLSourcedLoader
Interface to a loader that can load from a http url

Version:
  $Revision 1.0 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`String`
`retrieveURL()`
Return the current url
`void`
`setURL(String url)`
Set the url to load from

## Method Details

### setURL

void setURL(String url) throws Exception
Set the url to load from

Parameters:
  `url` - the url to load from
Throws:
  `Exception` - if the url can't be set.

### retrieveURL

String retrieveURL()
Return the current url

Returns:
  the current url